<template>
  <button class="button" :disabled="disabled" @click="onClick">{{label}}</button>
</template>

<script>
export default {
  name: 'AtomButton',
  props: {
    label: {
      type: String,
      default: 'Button'
    },
    disabled: {
      type: Boolean,
      default: false
    },
    onClick: {
      type: Function,
      default: () => {}
    }
  }
}
</script>

<style scoped>
.button {
  background: #4CAF50;
  border: none;
  color: white;
  font-weight: bold;
  font-size: 18px;
  outline: none;
  padding: 8px 26px;
  cursor: pointer;
}
</style>